summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin267817 -> 267832 bytes
-rw-r--r--dev-python/PyQt-builder/Manifest2
-rw-r--r--dev-python/PyQt-builder/PyQt-builder-1.15.3.ebuild30
-rw-r--r--dev-python/PyQt5-sip/Manifest2
-rw-r--r--dev-python/PyQt5-sip/PyQt5-sip-12.13.0.ebuild18
-rw-r--r--dev-python/PyQt5/Manifest2
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.10.ebuild158
-rw-r--r--dev-python/PyQt6-sip/Manifest2
-rw-r--r--dev-python/PyQt6-sip/PyQt6-sip-13.6.0.ebuild18
-rw-r--r--dev-python/PyQt6/Manifest2
-rw-r--r--dev-python/PyQt6/PyQt6-6.5.3.ebuild176
-rw-r--r--dev-python/sip/Manifest2
-rw-r--r--dev-python/sip/sip-6.7.12.ebuild27
-rw-r--r--dev-python/slixmpp/Manifest4
-rw-r--r--dev-python/slixmpp/slixmpp-1.8.4.ebuild2
-rw-r--r--dev-python/slixmpp/slixmpp-9999.ebuild2
-rw-r--r--dev-python/uvloop/Manifest4
-rw-r--r--dev-python/uvloop/uvloop-0.17.0.ebuild3
-rw-r--r--dev-python/uvloop/uvloop-0.18.0.ebuild86
19 files changed, 535 insertions, 5 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 82cb385d4317..93138106c465 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/PyQt-builder/Manifest b/dev-python/PyQt-builder/Manifest
index 1742aeebaf12..f7d09a100d4c 100644
--- a/dev-python/PyQt-builder/Manifest
+++ b/dev-python/PyQt-builder/Manifest
@@ -1,3 +1,5 @@
DIST PyQt-builder-1.15.2.tar.gz 3908851 BLAKE2B 8d8f324eb7ac6b00b00ac52a4b746789cf52032d519eca9c88c83dec3fe9c8100619e6b360c3dd6d69270b9feab118376a27c1485b453b35b6e4b8b212b34720 SHA512 3f8472ec51e9b456df80355d0351a66ea42902f81099993d57ae2c7f02c4ab142fa8089a87059f9e800a610d865e3e30bf890674b3a21f48eeb8375ec883f518
+DIST PyQt-builder-1.15.3.tar.gz 3909851 BLAKE2B 27680dbbee2fb1f549f7d98fa0b422dfe88933aedcb907bfa74dbdbce7324a5f003b62f7fd03ef4ec5c4f8ff5151fb23b73a3111b1e03bf04daba6faa00cf13e SHA512 58bd082d339cedd34c5bd8dc58f690a8a801b04c334e24c9843be0f0c24f2d4548ff69374bc0cf0aa96f8dea526f5a73c688f00cd72d29deb86fedaab5987f49
EBUILD PyQt-builder-1.15.2.ebuild 765 BLAKE2B 74915e44fb9488e705fb49056db8e7095e2461c7ee6267b2f9e9ab7745c53c29294386eabd609b436cde0cb8b6302f6e40ad9e70de82b23f40f531cce459f114 SHA512 66db1c66f972bba92cedfed78e1df84e35cf8209b93b67f9c3bbf8804d37bdaea13bfc982eb12209c7699d8aa633adc7fefc19324ac02174c505535ed70a6b93
+EBUILD PyQt-builder-1.15.3.ebuild 726 BLAKE2B 28fae4bdf763ef9e24d9d1c2c9874b11ca987bbb0ec35bd432fbd43df81e0ad60c0588ba86438a4526cd434acd57c4c051a647ca9c88448ae357faa96a944b9b SHA512 740590507da29bf273fcbe5f9609517ab9039a237733709436cc3fde9b8f4c9fb7c83fa9e27868ac8905ad28e7e79d142028b536b8987429b7991ad7b64d00d7
MISC metadata.xml 666 BLAKE2B 2602886cadc8244466e26c92178552ac1f618ace1dcd6eca9ced2c3e0f7a7777c435f842f1581d93ea7642dbcc278a4aa59a84305f5a825f39edb736e7d29f69 SHA512 42746ac242170047e0a44389c8d2e8eb5be60fbff1f5f1908802e5c3a04a0c740fe338c9b3049fc03bdb45a4182b388aad9b89a573e87d440a9a833443a1470c
diff --git a/dev-python/PyQt-builder/PyQt-builder-1.15.3.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.15.3.ebuild
new file mode 100644
index 000000000000..5ef4f3ffc44d
--- /dev/null
+++ b/dev-python/PyQt-builder/PyQt-builder-1.15.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="The PEP 517 compliant PyQt build system"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt-builder/"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/sip-6.7.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc --no-autodoc
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # don't install prebuilt DLLs
+ sed -i "s:'dlls/\*/\*',::" setup.py || die
+}
diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
index 6407ba4f48ac..4e5f87078110 100644
--- a/dev-python/PyQt5-sip/Manifest
+++ b/dev-python/PyQt5-sip/Manifest
@@ -1,3 +1,5 @@
DIST PyQt5_sip-12.12.2.tar.gz 123020 BLAKE2B 73e0209c0e780087443f761c5c8d0b80745f836b1077ca9197ae35313e4b633421c41280320c1862c78229ff4c94100b740200402853ea8ca47b26744709bb5d SHA512 62435e6fa409a817ad7648103ce1574747ed878da3859981517d3c3fb9b918802cbf14989daae4a0d44a3fbccef44cf674f4d108f5d6eade1d1d8a3ec8d82982
+DIST PyQt5_sip-12.13.0.tar.gz 123225 BLAKE2B e3b7233e5405f7b24de157e1f0ed0f2ff47a9c331a76672892d8a7adc8aba8c7b738354d9f1c2fe9c29501b5bfe8c6302307c6731273b980a04dd327048a3a94 SHA512 ef363b21899f6d089fbc6d5adf700dc6c8838501343070ed1cf0826e05dd860343eba608d5aee5d8bece39b8ddca1f37866bb56aa07db18384ac0a372ca3532f
EBUILD PyQt5-sip-12.12.2.ebuild 519 BLAKE2B ab2089f1571cd372ef5f7f2b378557c4473fdaaaaaa6675f71d8dd4f4f4fbe39f72855a5d1be2aee3353a40ceb36a3b55357ff342635588badc5206d1fbd4daf SHA512 ab2da01192a76807d0fa6286ec44adb94c466eb92a1196b90f63ae81563cb69cac65f0d15f4eec6edc337b44927c7c8de7e70537bd842f7278b5260c51a119dc
+EBUILD PyQt5-sip-12.13.0.ebuild 483 BLAKE2B b9fab2661922487483d1422dbcbee05f864f5015aad677495e2faac229c9277a255b532f89e40ee73fe2e25cf0e8e5b3c9f5b4f0e9248ba717798d84ed360051 SHA512 032c59f782a9bb3a949f493cf7eea132ac5bf3ac2ff98998f3df7f9018cf691950e6d5694ea5336e8dc8ca800d0adf6c46496bdde454d95ad729ee21fedda212
MISC metadata.xml 649 BLAKE2B 0a6faee65b39f122f65965490284b17856ba6d86537f3f3780f8604366739c346b01e29e933a91c7edb5ff898e5d51a10e4bf288228d1943a1c9e9970eac4c86 SHA512 3af9be87db6da5cb071f4025cd6fc1964a4b0629ebe93239f6c5a3734d4ef8ef06e652abbac5c9bd86f882a6235bf3b1f0fec6f0035c77ea42571e47c6045e29
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-12.13.0.ebuild b/dev-python/PyQt5-sip/PyQt5-sip-12.13.0.ebuild
new file mode 100644
index 000000000000..f7aee3db4722
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-12.13.0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/_}
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="sip extension module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
diff --git a/dev-python/PyQt5/Manifest b/dev-python/PyQt5/Manifest
index b0b759a1eead..b926d3f54693 100644
--- a/dev-python/PyQt5/Manifest
+++ b/dev-python/PyQt5/Manifest
@@ -1,3 +1,5 @@
+DIST PyQt5-5.15.10.tar.gz 3242654 BLAKE2B 55a4cedf1ac3fd0f2968ca07544d2248d1798f134b7490eb1d07663af9f1606543564a42d5478871f5dbfc0b249b73965fd0505261fd2872c724da6d28e5b61a SHA512 e62debe112210b68993377264448199b66a43fc5db13c583a25e210759f5cd945bd1056c1c19fb86bcf005c6904358dfb89e005d27167a349f1d55987a63013e
DIST PyQt5-5.15.9.tar.gz 3241160 BLAKE2B 37d7227e09c48576a51030729217d2c0771b2f833cfac76ff05dd0c9315889548934ceb459e590a5a9bc3a9ea2b26200791e470788f7d5b28a80fbc21539aa2f SHA512 1c07d93aefe1c24e80851eb4631b80a99e7ba06e823181325456edb90285d3d22417a9f7d4c3ff9c6195bd801e7dc2bbabf0587af844a5e4b0a410c4611d119e
+EBUILD PyQt5-5.15.10.ebuild 4830 BLAKE2B a9bb21508c36b0afa697357da7571e919fb4d563214ea5489100bc58878a1bd540436568616fd761a239d941816c7a91ec139429c649b715a1a5dffcebbb8ee8 SHA512 71a83e33f8e2ebc76d076600e5bedd919ea40ced43daf13d66f1a298071c513eeef1e5037dcfb67dba7ca3d30fad629456ebc0aa12a219c848e79cd4b2579f78
EBUILD PyQt5-5.15.9-r1.ebuild 4904 BLAKE2B 07fd41afef42cb18869e442eddb7544786dd2065799a09b87524261190bd27a64a9dca93f236a795ecc03a746fdc0698c7e63c4b83e6616af3fef951656911de SHA512 867f37fb8f4afa273fca128e5adfd5194728f2a9cc689cfb03a2208943f9619456b335a5a322d219598b03d5a65126fed7aa481b7c05d8592cb7837a1e969e3a
MISC metadata.xml 2287 BLAKE2B b4090aa2c55d05554a152bc3adfa76c68dc78175d26bb4ea6d25858ce2db922c168cc4ded6c7fa9114cf651417e0a6e435baebe460c8efbbd94be17adafd6f43 SHA512 12e3559ff04c32ebce2a382bf3b01730b0b69829c77cdf75f0061143cc19000e126daebbf9014beeae8bd1fba2675ef2ecfe7943296a8dc66000439c104c1351
diff --git a/dev-python/PyQt5/PyQt5-5.15.10.ebuild b/dev-python/PyQt5/PyQt5-5.15.10.ebuild
new file mode 100644
index 000000000000..660110a962d5
--- /dev/null
+++ b/dev-python/PyQt5/PyQt5-5.15.10.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+IUSE="
+ bluetooth dbus debug declarative designer examples gles2-only gui help location
+ multimedia network opengl positioning printsupport sensors serialport speech
+ sql +ssl svg testlib webchannel websockets widgets x11extras xmlpatterns
+"
+
+# The requirements below were extracted from the qmake_QT declarations
+# in project.py and from the output of 'grep -r "%Import " ${S}/sip'
+REQUIRED_USE="
+ bluetooth? ( gui )
+ declarative? ( gui network )
+ designer? ( widgets )
+ help? ( gui widgets )
+ location? ( positioning )
+ multimedia? ( gui network )
+ opengl? ( gui widgets )
+ positioning? ( gui )
+ printsupport? ( gui widgets )
+ sensors? ( gui )
+ serialport? ( gui )
+ sql? ( widgets )
+ svg? ( gui widgets )
+ testlib? ( widgets )
+ webchannel? ( network )
+ websockets? ( network )
+ widgets? ( gui )
+ xmlpatterns? ( network )
+"
+
+# Minimal supported version of Qt.
+QT_PV="5.15:5"
+
+DEPEND="
+ >=dev-qt/qtcore-${QT_PV}
+ >=dev-qt/qtxml-${QT_PV}
+ bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ >=dev-qt/qtdbus-${QT_PV}
+ sys-apps/dbus
+ )
+ declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ designer? ( >=dev-qt/designer-${QT_PV} )
+ gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
+ help? ( >=dev-qt/qthelp-${QT_PV} )
+ location? ( >=dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
+ network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
+ opengl? ( >=dev-qt/qtopengl-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ speech? ( >=dev-qt/qtspeech-${QT_PV} )
+ sql? ( >=dev-qt/qtsql-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ testlib? ( >=dev-qt/qttest-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+ widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
+ x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
+ xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/PyQt5-sip-12.11:=[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/PyQt-builder-1.14.1[${PYTHON_USEDEP}]
+ >=dev-python/sip-6.6.2[${PYTHON_USEDEP}]
+ >=dev-qt/qtcore-${QT_PV}
+ dbus? ( virtual/pkgconfig )
+"
+
+python_configure_all() {
+ append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
+
+ pyqt_use_enable() {
+ local state=$(usex ${1} --enable= --disable=)
+ shift
+ echo ${*/#/${state}}
+ }
+
+ DISTUTILS_ARGS=(
+ --jobs="$(makeopts_jobs)"
+ --qmake="$(qt5_get_bindir)"/qmake
+ --qmake-setting="$(qt5_get_qmake_args)"
+ --verbose
+ --confirm-license
+
+ --enable=pylupdate
+ --enable=pyrcc
+ --enable=Qt
+ --enable=QtCore
+ $(pyqt_use_enable bluetooth QtBluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(pyqt_use_enable declarative QtQml QtQuick \
+ $(usev widgets QtQuickWidgets))
+ $(pyqt_use_enable designer QtDesigner)
+ $(pyqt_use_enable gui QtGui \
+ $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
+ $(pyqt_use_enable help QtHelp)
+ $(pyqt_use_enable location QtLocation)
+ $(pyqt_use_enable multimedia QtMultimedia \
+ $(usev widgets QtMultimediaWidgets))
+ $(pyqt_use_enable network QtNetwork)
+ $(pyqt_use_enable opengl QtOpenGL)
+ $(pyqt_use_enable positioning QtPositioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable sensors QtSensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable speech QtTextToSpeech)
+ $(pyqt_use_enable sql QtSql)
+ $(pyqt_use_enable svg QtSvg)
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets QtWidgets)
+ $(pyqt_use_enable x11extras QtX11Extras)
+ --enable=QtXml
+ $(pyqt_use_enable xmlpatterns QtXmlPatterns)
+
+ $(usev debug '--debug --qml-debug --tracing')
+
+ $(usev !dbus --no-dbus-python)
+ # note: upstream currently intentionally skips installing these two
+ # plugins when using wheels w/ pep517 so, *if* something does need
+ # them, it will need to be handled manually
+ $(usev !declarative --no-qml-plugin)
+ $(usev !designer --no-designer-plugin)
+
+ $(usev gles2-only --disabled-feature=PyQt_Desktop_OpenGL)
+ $(usev !ssl --disabled-feature=PyQt_SSL)
+ )
+}
+
+python_install_all() {
+ einstalldocs
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/PyQt6-sip/Manifest b/dev-python/PyQt6-sip/Manifest
index 1fe2947a26b9..917ba477efe3 100644
--- a/dev-python/PyQt6-sip/Manifest
+++ b/dev-python/PyQt6-sip/Manifest
@@ -1,3 +1,5 @@
DIST PyQt6_sip-13.5.2.tar.gz 111381 BLAKE2B 38d38ed72877525ce2464d4f7bdd53b5c383dea89bd940a7f4db4bde54ebefab5b6f82449a9b915b0d64ae6763bf14d784f3a75e465e76ba44cdda22f1aa14a7 SHA512 b3616b2ab91d1e437dc13b56f7e8cb9edf0cdf5d9d76b5681398cb9d5d793fd09d323a8603969e879f990b81f9743527995c10e70ba5af33b5bb62e3a7967767
+DIST PyQt6_sip-13.6.0.tar.gz 111576 BLAKE2B 1a5a35bb060654d347940af90fb5605b1b2f699da4fd4bbcdbb7d9497f91d7dd1a76c3267b5c4e1e68360c66130d4a9983d2da21da745e70adfc627df85cd8c0 SHA512 bd2fa70d64544d8104d3477cb650a0e6bcefa0008680afcf7d187ba3fb1117871c0237d3a7f047144c8a8a8eeb8da941a3b206f8ee0601cb2cc734243cdb9d46
EBUILD PyQt6-sip-13.5.2.ebuild 424 BLAKE2B b67748d36216bd04bb9ff90ec0f5f5acf0094f68a6cbdb09a8a76b6e3590ff0544235b3b8111b52e8893b12fe6fa0c22f9145838186adcd5e01fc364904b3f54 SHA512 119e45e6e84daf9164369d88f85f2a66431faec45e7debf53b3c3199efb64daa3f0872e09b52c8bf165b2f7288e90546d6b245cec33955ac0bc70a0689832e1f
+EBUILD PyQt6-sip-13.6.0.ebuild 425 BLAKE2B aae93302707b9513d029ffcb74ea5c25d7f597b782863ab832f428c1c09eadf246eeb92d0dda74d04f3e78bc23854cd1507ea1393bdd7bb289558307b4c83092 SHA512 0f512506a22a1af3ea2ad51e39b16ac7568d0d013f2ce279e98d2f435ef029196fc94b4b1836f1606d85260f1dd853f0491e4b4579482740de52fd0a222ed98d
MISC metadata.xml 399 BLAKE2B d762950e9c399c7cd0db4c7e521745824cea16fa2575878b8d20a932914037eabce35cc988532b3711d4447a132fdb4a61383017e3b3f7e89f09db74efb05244 SHA512 7c8fa564a8b30bb8207dd4eb70caaa1da4db60a1bc24dced4df22b371f441daabc484c57dcda87fb89bacbeb706414938750553c59b11da8d392d61531d92a41
diff --git a/dev-python/PyQt6-sip/PyQt6-sip-13.6.0.ebuild b/dev-python/PyQt6-sip/PyQt6-sip-13.6.0.ebuild
new file mode 100644
index 000000000000..c7f0d5a6d814
--- /dev/null
+++ b/dev-python/PyQt6-sip/PyQt6-sip-13.6.0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/_}
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="sip module support for PyQt6"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0"
+KEYWORDS="~amd64"
diff --git a/dev-python/PyQt6/Manifest b/dev-python/PyQt6/Manifest
index dc9195820e9e..7c87f083e6d8 100644
--- a/dev-python/PyQt6/Manifest
+++ b/dev-python/PyQt6/Manifest
@@ -1,5 +1,7 @@
AUX PyQt6-6.5.2-qt660.patch 767 BLAKE2B ec6c345ad8a7f2b1029291bc76b8ccd3df6b0661761c1c6e2d1c8eeb033189f0ffa04c9a509a160bdd86768c5f89bfcd556602e9545404bdd5e7b67976ad2a0a SHA512 975bbb18dd39c9b4f232695210283e9d28da92945a80c22cc1e490d805bdef1ea70904b86af74ca7abdafcdb6b3cea5ffdbd58e7d6bd3e77f5d7c43414f3232c
DIST PyQt6-6.5.2.tar.gz 1037215 BLAKE2B dae331dc27975f3ad4fca10cedf093fecabf819d1fd97b873f9a793ce12168af9a72e2b119a4fc3ecf263e1ba42103f48d5198554248743a6289efc8aa3b7d70 SHA512 11da50ff8b914794e8044e136a3c8a79d16aa63ab33045f2807985c2fe2235c1a7682f7e955c9e8852093c34a671ec09d84afaa9d3d59945461797e81911721f
+DIST PyQt6-6.5.3.tar.gz 1039271 BLAKE2B 965efa73daa83e46fbb1428b27f8bfc8e5cbfd4cfa5481b50835fdcc58f475416207a670882d47a0cc724e4dc06e0a00a512c5f83c4918134c2f1303aecda20e SHA512 a502693cc9e1887011466132cd85e232ce653bfc38519aed99a77332413bdb65a01ecad4680b831eb76365b086e6a3b52fa69017b39d95933a6372d2e7e8e4bb
EBUILD PyQt6-6.5.2-r1.ebuild 5438 BLAKE2B 2025904703ce7a1bb392cee493a70ae9e8bec36dbd4ad0d79214f589638612f3e8ec5fd000b214038e15f47b3eac6fc2cdedd60dff9ebca476d7678fa9e4dd96 SHA512 259fafe747f2669400cf5d135ebe6af811844595a13f0e23557f7a4adcae78feeaf70369e6c842f218880e3bb061d221f9230a582d218507ede329890d297a6e
EBUILD PyQt6-6.5.2.ebuild 5391 BLAKE2B 523eeb7b1f79ad105f8805c7ffff010136af77d74fd9c96a3b47df7ce571cca36aa0bed5a6cde9a0ece71e5e4fcf8d3966adedd4c16f64f178f1688e97532931 SHA512 d9d8c58e43b30a9eaa32c47309ef7a449b12ddebea7bee9ec81567f7434c0c7b0eaf59e446c285b2a2a62f2ceaf14cb743b12f00d8c8107245e6a43c2a0a138b
+EBUILD PyQt6-6.5.3.ebuild 5445 BLAKE2B b51cc37df399aa99eae1ac598382a6cf557745b625bb25a988d21148d3945ca9c570fcbdaa93c9e7d46cfa2d605ef8b4e6c4824cbf6949b1195101b74db84a45 SHA512 50e2386997f259a24b9927975d92feb0421df1b9ee0e9e582a79e091f8f4e599418985c300b70f649983b491c35e6f9edf4994c1ddca3a7e0bd691f51353710b
MISC metadata.xml 2391 BLAKE2B 16eecbd105ced07699632a4b294f7da74b59ff931e39afb8a21f67f073bfc90ff613d753a67bcd303ea9f2bf35d7b91c1c7a56ece044c421c4e45b5951f5efe3 SHA512 1d595e07e201891c8c7d5635d39db36ccb65c7333cb27c1cd5384a76029b987959df05795283a4474a41a997bf951e577570b7d3a52a9a2975d563767651efae
diff --git a/dev-python/PyQt6/PyQt6-6.5.3.ebuild b/dev-python/PyQt6/PyQt6-6.5.3.ebuild
new file mode 100644
index 000000000000..58271f1fa78a
--- /dev/null
+++ b/dev-python/PyQt6/PyQt6-6.5.3.ebuild
@@ -0,0 +1,176 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+# 'can' work with older Qt depending on features, but keeping it simple
+QT_PV=$(ver_cut 1-2):6
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+# defaults match what is provided with qtbase by default (except testlib),
+# reduces the need to set flags but does increase build time a fair amount
+IUSE="
+ bluetooth +dbus debug designer examples gles2-only +gui help
+ multimedia +network nfc opengl pdfium positioning +printsupport
+ qml quick quick3d serialport sensors spatialaudio speech +sql
+ +ssl svg testlib webchannel websockets +widgets +xml
+"
+# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
+REQUIRED_USE="
+ designer? ( gui widgets )
+ help? ( gui widgets )
+ multimedia? ( gui network )
+ opengl? ( gui )
+ pdfium? ( gui )
+ printsupport? ( gui widgets )
+ qml? ( network )
+ quick3d? ( gui qml )
+ quick? ( gui qml )
+ spatialaudio? ( multimedia )
+ sql? ( widgets )
+ svg? ( gui )
+ testlib? ( gui widgets )
+ webchannel? ( network )
+ websockets? ( network )
+ widgets? ( gui )
+"
+
+DEPEND="
+ >=dev-qt/qtbase-${QT_PV}[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+ bluetooth? ( >=dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ sys-apps/dbus
+ )
+ designer? ( >=dev-qt/qttools-${QT_PV}[designer] )
+ help? ( >=dev-qt/qttools-${QT_PV}[assistant] )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+ nfc? ( >=dev-qt/qtconnectivity-${QT_PV}[nfc] )
+ opengl? (
+ gles2-only? ( media-libs/libglvnd )
+ )
+ pdfium? ( >=dev-qt/qtwebengine-${QT_PV}[pdfium(-),widgets?] )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ speech? ( >=dev-qt/qtspeech-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/PyQt6-sip-13.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
+ >=dev-qt/qtbase-${QT_PV}
+ dbus? ( virtual/pkgconfig )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.5.2-qt660.patch
+)
+
+src_prepare() {
+ default
+
+ # hack: qmake queries g++ or clang++ for info depending on which qtbase was
+ # built with, but ignores CHOST failing with -native-symlinks (bug #726112)
+ # and potentially using wrong information when cross-compiling
+ mkdir "${T}"/cxx || die
+ local cxx
+ ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || die
+ ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" "${T}"/cxx/clang++ || die
+ PATH=${T}/cxx:${PATH}
+}
+
+python_configure_all() {
+ append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug #892331)
+ append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
+
+ pyqt_use_enable() {
+ local state=$(usex ${1} --enable= --disable=)
+ shift
+ echo ${*/#/${state}}
+ }
+
+ DISTUTILS_ARGS=(
+ --jobs="$(makeopts_jobs)"
+ --qmake="$(qt6_get_bindir)"/qmake
+ --qmake-setting="$(qt6_get_qmake_args)"
+ --verbose
+ --confirm-license
+
+ --enable=QtCore
+
+ $(pyqt_use_enable bluetooth QtBluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(pyqt_use_enable designer QtDesigner)
+ $(pyqt_use_enable help QtHelp)
+ $(pyqt_use_enable gui QtGui)
+ #--disable=QtLocation # force-disabled in project.py
+ $(pyqt_use_enable multimedia QtMultimedia \
+ $(usev widgets QtMultimediaWidgets))
+ $(pyqt_use_enable network QtNetwork)
+ $(pyqt_use_enable nfc QtNfc)
+ $(pyqt_use_enable opengl QtOpenGL \
+ $(usev widgets QtOpenGLWidgets))
+ $(pyqt_use_enable pdfium QtPdf \
+ $(usev widgets QtPdfWidgets))
+ $(pyqt_use_enable positioning QtPositioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable qml QtQml)
+ $(pyqt_use_enable quick QtQuick \
+ $(usev widgets QtQuickWidgets))
+ $(pyqt_use_enable quick3d QtQuick3D)
+ --disable=QtRemoteObjects # not packaged
+ $(pyqt_use_enable sensors QtSensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable spatialaudio QtSpatialAudio)
+ $(pyqt_use_enable sql QtSql)
+ $(pyqt_use_enable svg QtSvg \
+ $(usev widgets QtSvgWidgets))
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable speech QtTextToSpeech)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets QtWidgets)
+ $(pyqt_use_enable xml QtXml)
+
+ $(usev debug '--debug --qml-debug --tracing')
+
+ $(usev !dbus --no-dbus-python)
+ # note: upstream currently intentionally skips installing these two
+ # plugins when using wheels w/ pep517 so, *if* something does need
+ # them, it will need to be handled manually
+ $(usev !designer --no-designer-plugin)
+ $(usev !qml --no-qml-plugin)
+
+ $(usev !gles2-only --disabled-feature=PyQt_OpenGL_ES2)
+ $(usev !opengl --disabled-feature=PyQt_OpenGL)
+ $(usev !ssl --disabled-feature=PyQt_SSL)
+
+ # intended for Windows / Android or others
+ --disable=QAxContainer
+ --disabled-feature=PyQt_Permissions
+ )
+}
+
+python_install_all() {
+ einstalldocs
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index 2da9cbb90b47..a17f9de35114 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,3 +1,5 @@
DIST sip-6.7.11.tar.gz 1165368 BLAKE2B 62ba38ca39544e7ed0935e91729ba6f82a5e613a4b26fbf27c3708a5cb38ba0fa583ceb6a45c0c7485579f4c318fc5ac910eee8477aee6d25d33d4ae07bf527b SHA512 a9247714fd6f6e6dffff2e6b53b35a7831ced55f0706e7c883d6700f22b814dc2cf1e56e681214759c90386ff2c77cb4ace6d07cd0c8b6da0ed65444f9857056
+DIST sip-6.7.12.tar.gz 1169656 BLAKE2B 07ae682e783da5bc6fc3109c62c7bff245faab795cc28f135758b1211fae1dfae79668e7e7c0de8b3bae5c8b10534d153cdd47969b34149c8f5598867d19f17c SHA512 885c32a051e882b82b59bf1365050933f8fc1c619b19f4bc03235edc5741a5e14aae8edf90479ad0283f74ba5c5233a2589c151ec865b130199a6db9800a2294
EBUILD sip-6.7.11.ebuild 743 BLAKE2B 7346f0b9fe8e9c5263c55bca1e9a0d749a9c0b13ca7d5f9d88bb16e2bb91a2e3e60de2a606ae54b675a7d948fe10290b4ca84ce65899d72b571d2659c6c9f183 SHA512 f5be0d7eb69e68034196c3d71a5d33198929eccd29c66e4f035136df0fde2dade424915a9df9af25db3663b276f28035c9b65655f2424dc64eebcdc94bccb504
+EBUILD sip-6.7.12.ebuild 714 BLAKE2B 03cb5ceb336bb9b3401885b2ec7c61b94679a1f41c8b878c679757fb5261710b332bff13ff297c1fa24699b09efd7e6da52808bc5303384fde6c2b350daf748d SHA512 86a2a65debe21fae776dc3ec14fed74c24c51473109f6e7935cbb4b48ea472b7e2192eaa0d4f690753c1d87e43ee8dba80d934ea31c4de2d147abc6054fec42d
MISC metadata.xml 639 BLAKE2B deb4a3e534eaa966db932dc17bf7df6a04ed41ce707dc7f1befb272c362be06f222f976c4b0d526a6190d4954f1fa0e2c94ccc2e6cfceff6e8db5959e653fed1 SHA512 8c8e45d32587e346d4df067950aacbc767618418d42f4a5bf48a62706c9612007915ec643dc9fe7b7d083696b26795abb76d9cc475481c26782874f5116863a1
diff --git a/dev-python/sip/sip-6.7.12.ebuild b/dev-python/sip/sip-6.7.12.ebuild
new file mode 100644
index 000000000000..8f80291c8a1e
--- /dev/null
+++ b/dev-python/sip/sip-6.7.12.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings generator for C/C++ libraries"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+distutils_enable_sphinx doc --no-autodoc
diff --git a/dev-python/slixmpp/Manifest b/dev-python/slixmpp/Manifest
index 75d00cde87ac..eaf832bfba0f 100644
--- a/dev-python/slixmpp/Manifest
+++ b/dev-python/slixmpp/Manifest
@@ -1,4 +1,4 @@
DIST slixmpp-1.8.4.tar.gz 546263 BLAKE2B 78a7b1b9015f27d63b3c127a292e2794a9de2283fbb9763ef52d03d37cc2d0fcc3f0696beca858a0d120991059a5eced62b5a4a9e87436b81dc17f6bbdc4b106 SHA512 afa82670e4cb2c904503a6ef652d3f2ecd59732a18eef05b85e0a55f15112685ecc1b50951b3f717a211d1c9069a4e7c65d913454426441f56688ff05a5c0921
-EBUILD slixmpp-1.8.4.ebuild 912 BLAKE2B 4851277546fa2500a1306b3d8baf1b5623bc07f2b960103b34907033d90c1f77ce390db0492bae07c3a942c410aed75633d3462fa8bbc716637cdcc2ded7f53b SHA512 914853ee62ea0a747f0063427d55e24ad87cd870f42db987f6fa9148b07938539d42e2a1ebf44b3613d276a2f8a80fe5f29437abae7bc6603935a9255e00c8e9
-EBUILD slixmpp-9999.ebuild 896 BLAKE2B 6bbabf870c1a23ded004e0c750a597a86de1674c3e6b58c676740ce388a29e9d3cc54bec98c3f5d9c7ff65a3274051a758bd51fdebb2f7c5b46f8d543cf1b345 SHA512 755c7d7dbc190c34dd3e4cdae7ecc355cd3226b20172f2c293c7741d85cccc3859b8e1f9e878d9abc9494e474ab2288310229cb8bc7f7daa7f34b96c11ecacfc
+EBUILD slixmpp-1.8.4.ebuild 951 BLAKE2B 34985e65d9538394ce8592f0945ba288550eb964ecc7f165b9f0cd15fb8170c1b8755fbae2ae1705f9f50cda97c6fe315c34a17b2dd92849abbd910a27547634 SHA512 861ab287dcf28aa119e7ffb25fa837693051dce5cefe9973e1b6606adbef3c360c19e7b3ba887c37b1dd7bf3a47b0b80aa9a1d67c21474fcb50aa004321fb3fb
+EBUILD slixmpp-9999.ebuild 934 BLAKE2B 9a2d652519fd372b15b8a3d0fdb0228a6c2892870b226039870dac84b315037379554edf1d0deca883cc57858a61ea916d09f7b4d6ee199af3311edefa732377 SHA512 70ba228c6334e76dfb9dc0756f5816b55d871828515eefd60b437c6f8700e316d44f5b109e4602c38f7dd811071b7278394b209748e4a6f2f645b1778a0347ff
MISC metadata.xml 418 BLAKE2B 24c02f722eda50cda05da1a70efe953324ec8a1ba91a755e356bc9953387cdb35876f072a7f045dcda9e4fd74e73fd5bbd4f0f7d921431a374543bb02d5813c7 SHA512 1c36a0aef8162cd0b19eadec95dcdd5ff8f742c7438097e198736ae4772aba3a6ff41553a08878d54d0c548900444e2d40187f669a46173dd4f89072ac234365
diff --git a/dev-python/slixmpp/slixmpp-1.8.4.ebuild b/dev-python/slixmpp/slixmpp-1.8.4.ebuild
index e58f92652054..7b4713103a66 100644
--- a/dev-python/slixmpp/slixmpp-1.8.4.ebuild
+++ b/dev-python/slixmpp/slixmpp-1.8.4.ebuild
@@ -15,7 +15,7 @@ LICENSE="MIT"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git"
+ EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git https://github.com/poezio/slixmpp.git"
inherit git-r3
else
inherit pypi
diff --git a/dev-python/slixmpp/slixmpp-9999.ebuild b/dev-python/slixmpp/slixmpp-9999.ebuild
index f7a548661cd3..2a4e8a61ee40 100644
--- a/dev-python/slixmpp/slixmpp-9999.ebuild
+++ b/dev-python/slixmpp/slixmpp-9999.ebuild
@@ -14,7 +14,7 @@ LICENSE="MIT"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git"
+ EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git https://github.com/poezio/slixmpp.git"
inherit git-r3
else
inherit pypi
diff --git a/dev-python/uvloop/Manifest b/dev-python/uvloop/Manifest
index a0a93b72d360..a4d023a620db 100644
--- a/dev-python/uvloop/Manifest
+++ b/dev-python/uvloop/Manifest
@@ -1,3 +1,5 @@
DIST uvloop-0.17.0.tar.gz 2279973 BLAKE2B 7ccbf3b8e723e36c1010a70e256de0ad1a9728fe10b3538e05c57157b16ea7e5369347c855cd1460e49f89197ebb05628c4b6fcd7e50c623b1aaa5890ac64b5f SHA512 861d7f28ad879ecbfa40d53b9626e38660f02618fd433edbd5a8ea5100a17ade042a26549def04bc23f928aca3adc83d62503f0548038cd400284f5654003ee4
-EBUILD uvloop-0.17.0.ebuild 1852 BLAKE2B 7c77694758b414e1731c4f62d8313324cfe60ea1bd4abd657e41da420757e369657ebf688164e77a9ba5fe7bb34798fe249aba5fcb68200dd9e820fb68363c61 SHA512 959a1c45321d1e3d05ffaacda6ca2eeb3c507d0d544b293f5d5c3ccd8101157dffda545d6adb046adb7a727101fb09b70a7d4f57510f1b6bb149f529805ee0f8
+DIST uvloop-0.18.0.tar.gz 2319264 BLAKE2B 9aeef9278ec97dce62458b3ce4833ef5beeb101d3feaf5b2e45d1ac05b2f40c21bcd6aa3135694c8b9dc9e8078cbd0c74d113784a10f94039f6bbeaf24b06f1f SHA512 1ce01f3e4fca15d1f76c71eb29abb608f6f65d6ebdb3f79ed7c63db5b96bb1325f7a7d97c3adbf8cdb2506907ad13a1c88c767fd3a143cd728f9153ec8958d0e
+EBUILD uvloop-0.17.0.ebuild 2006 BLAKE2B a932053b2c33785843328489ae4af8efc57ab51dc5575aed65d56b8a94a34604f460e8bd63e2259031a1254d47ca3c5ec4d67a68a1eaedf241002e8a0e358068 SHA512 4457fde951946eb5940539f632af9c67418324bdf3a3fec150a22e7d88e6eb9ebe7c0bd8a6b43f2d56a714f61eaaadeb4bbaeba72286e0809cff765a442c48d5
+EBUILD uvloop-0.18.0.ebuild 2013 BLAKE2B 5f7a7056c89e1769a6a1bda8aee13aa79b2b21421d8f4650125901b4a408dfd2b1a3d9ebeb7ee83d394064528970b2ab96f3d5d28609358dee059e46f76f2f51 SHA512 2c3f537c29ca5e173d49949ddc3953b9e9e98ddc6e76c4fa58b82ad95437ab09d093261f2d338f20a247377704be40ba37b4f91b7a22d4e7ce655f8f954b3fd2
MISC metadata.xml 527 BLAKE2B 2db44bdfb681fcce35ef35f13155293ac3fdffa12a695b654ed8acc608cf1f769243136e66b6b2c1afd57caa7e59a66a60d34631c37a4b98a474bd0635fcbaa3 SHA512 02540835a23405c467293395fa7984741e02ca1aca75f527edd3b988d307b41db0f729d5cc0b3a826a652fb7104dec7be86a9a57f4d5646d2af87255cc2d90de
diff --git a/dev-python/uvloop/uvloop-0.17.0.ebuild b/dev-python/uvloop/uvloop-0.17.0.ebuild
index 3ed6b400cc21..5b6839d09ea7 100644
--- a/dev-python/uvloop/uvloop-0.17.0.ebuild
+++ b/dev-python/uvloop/uvloop-0.17.0.ebuild
@@ -71,6 +71,9 @@ python_test() {
tests/test_process.py::Test_AIO_Process::test_process_env_2
# hangs
tests/test_tcp.py::Test_AIO_TCPSSL::test_remote_shutdown_receives_trailing_data
+ # crashes on assertion
+ # https://github.com/MagicStack/uvloop/issues/574
+ tests/test_cython.py::TestCythonIntegration::test_cython_coro_is_coroutine
)
rm -rf uvloop || die
diff --git a/dev-python/uvloop/uvloop-0.18.0.ebuild b/dev-python/uvloop/uvloop-0.18.0.ebuild
new file mode 100644
index 000000000000..9c5ab1780086
--- /dev/null
+++ b/dev-python/uvloop/uvloop-0.18.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Ultra-fast implementation of asyncio event loop on top of libuv"
+HOMEPAGE="
+ https://github.com/magicstack/uvloop/
+ https://pypi.org/project/uvloop/
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 -riscv ~sparc ~x86"
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+DEPEND="
+ >=dev-libs/libuv-1.11.0:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ <dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-22.0.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ rm -r vendor || die
+ cat <<-EOF >> setup.cfg || die
+ [build_ext]
+ use_system_libuv=True
+ cython_always=True
+ EOF
+
+ # flake8 only
+ #rm tests/test_sourcecode.py || die
+ # force cythonization
+ rm uvloop/loop.c || die
+ # hangs
+ #sed -i -e 's:test_remote_shutdown_receives_trailing_data:_&:' \
+ # tests/test_tcp.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_IGNORE=(
+ # linting
+ tests/test_sourcecode.py
+ )
+ local EPYTEST_DESELECT=(
+ # TODO: expects some... cython_helper?
+ tests/test_libuv_api.py::Test_UV_libuv::test_libuv_get_loop_t_ptr
+ # unhappy about sandbox injecting its envvars
+ tests/test_process.py::Test_UV_Process::test_process_env_2
+ tests/test_process.py::Test_AIO_Process::test_process_env_2
+ # hangs
+ tests/test_tcp.py::Test_AIO_TCPSSL::test_remote_shutdown_receives_trailing_data
+ # crashes on assertion
+ # https://github.com/MagicStack/uvloop/issues/574
+ tests/test_cython.py::TestCythonIntegration::test_cython_coro_is_coroutine
+ )
+
+ rm -rf uvloop || die
+ epytest -s
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}